<?xml version="1.0" encoding="UTF-8"?>

<namespace xmlns="http://www.mulesoft.org/schema/mule/tooling.attributes" xmlns:mule="http://www.mulesoft.org/schema/mule/core" prefix="freshbooks" url="http://www.mulesoft.org/schema/mule/freshbooks">
  <global-cloud-connector extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="" localId="parentConfig" icon="" description="" caption="FreshBooks"></global-cloud-connector>
  <global-cloud-connector extends="http://www.mulesoft.org/schema/mule/freshbooks/parentConfig" abstract="false" image="icons/large/freshbooks-connector-48x32.png" localId="config" icon="icons/small/freshbooks-connector-24x16.png" description="Global FreshBooks configuration information." caption="FreshBooks">
    <attribute-category description="Freshbooks configuration properties." caption="General">
      <group caption="Generic" id="freshbooksGenericProperties">
        <name required="true" description="Give a name to this configuration so it can be later referenced by config-ref." caption="Name" name="name"></name>
      </group>
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="true" description="Api URL." caption="Api Url" name="apiUrl"></string>
        <string javaType="java.lang.String" required="true" description="API Key." caption="Consumer Key" name="consumerKey"></string>
        <string javaType="java.lang.String" required="true" description="API Secret." caption="Consumer Secret" name="consumerSecret"></string>
        <string defaultValue="_defaultUserObjectStore" javaType="org.mule.api.store.ObjectStore" required="false" description="Object store reference." caption="Object Store Reference" name="objectStore-ref"></string>
        <integer step="1" min="0" defaultValue="20" javaType="int" required="false" description="Default max number of connections per route." caption="Default Max Connection Per Route" name="defaultMaxConnectionPerRoute"></integer>
        <integer step="1" min="0" defaultValue="100" javaType="int" required="false" description="Maximum number of total connections." caption="Max Total Connection" name="maxTotalConnection"></integer>
        <string javaType="java.lang.String" required="false" description="Prefix used for storing credentials in ObjectStore. It will be concatenated to the access token identifier.
E.g. prefix: &quot;fb_&quot;, user identifier: &quot;12345&quot;, key for object store &quot;fb_12345&quot;." caption="Access Token Identifier Prefix" name="accessTokenIdentifierPrefix"></string>
      </group>
    </attribute-category>
  </global-cloud-connector>
  <cloud-connector abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="abstractFreshbooksConnectorGeneric" icon="icons/small/freshbooks-connector-24x16.png" description="Interact with Freshbooks." caption="Abstractfreshbooksconnectorgeneric">
    <attribute-category description="General." caption="General">
      <group caption="Generic" id="abstractFreshbooksConnectorGeneric">
        <globalRef requiredType="http://www.mulesoft.org/schema/mule/freshbooks/config" required="true" description="Specify which configuration to use for this invocation." caption="Config Reference" name="config-ref"></globalRef>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" image="icons/large/freshbooks-connector-48x32.png" localId="freshbooks-connector" icon="icons/small/freshbooks-connector-24x16.png" description="FreshBooks is an online invoicing software as a service for freelancers, small businesses,
agencies, and professionals. It is produced by the software company 2ndSite Inc. which is located in
Toronto, Ontario, Canada. The product includes a myriad of other related features, such as time tracking,
expense tracking, recurring billing, online payment collection,
the ability to mail invoices through the U.S. Post, and support tickets." caption="FreshBooks" aliasId="org.mule.tooling.ui.modules.core.pattern.freshbooks">
    <attribute-category description="General." caption="General">
      <group caption="Generic" id="freshbooksConnectorGeneric">
        <modeSwitch alwaysCombo="true" description="Operation." caption="Operation" name="Freshbooks operations to execute">
          <mode modeLabel="Auth user" modeId="http://www.mulesoft.org/schema/mule/freshbooks/auth-user"></mode>
          <mode modeLabel="Create callback" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-callback"></mode>
          <mode modeLabel="Create category" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-category"></mode>
          <mode modeLabel="Create client" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-client"></mode>
          <mode modeLabel="Create invoice" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-invoice"></mode>
          <mode modeLabel="Create item" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-item"></mode>
          <mode modeLabel="Create license" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-license"></mode>
          <mode modeLabel="Create payment" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-payment"></mode>
          <mode modeLabel="Create session" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-session"></mode>
          <mode modeLabel="Create system user" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-system-user"></mode>
          <mode modeLabel="Create task" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-task"></mode>
          <mode modeLabel="Create tax" modeId="http://www.mulesoft.org/schema/mule/freshbooks/create-tax"></mode>
          <mode modeLabel="Delete callback" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-callback"></mode>
          <mode modeLabel="Delete category" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-category"></mode>
          <mode modeLabel="Delete client" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-client"></mode>
          <mode modeLabel="Delete invoice" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-invoice"></mode>
          <mode modeLabel="Delete item" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-item"></mode>
          <mode modeLabel="Delete license" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-license"></mode>
          <mode modeLabel="Delete payment" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-payment"></mode>
          <mode modeLabel="Delete task" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-task"></mode>
          <mode modeLabel="Delete tax" modeId="http://www.mulesoft.org/schema/mule/freshbooks/delete-tax"></mode>
          <mode modeLabel="Get access token" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-access-token"></mode>
          <mode modeLabel="Get category" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-category"></mode>
          <mode modeLabel="Get client" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-client"></mode>
          <mode modeLabel="Get current user information" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-current-user-information"></mode>
          <mode modeLabel="Get invoice" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-invoice"></mode>
          <mode modeLabel="Get item" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-item"></mode>
          <mode modeLabel="Get payment" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-payment"></mode>
          <mode modeLabel="Get task" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-task"></mode>
          <mode modeLabel="Get tax" modeId="http://www.mulesoft.org/schema/mule/freshbooks/get-tax"></mode>
          <mode modeLabel="List addons" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-addons"></mode>
          <mode modeLabel="List callbacks" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-callbacks"></mode>
          <mode modeLabel="List categories" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-categories"></mode>
          <mode modeLabel="List clients" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-clients"></mode>
          <mode modeLabel="List invoices" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-invoices"></mode>
          <mode modeLabel="List items" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-items"></mode>
          <mode modeLabel="List licenses" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-licenses"></mode>
          <mode modeLabel="List payments" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-payments"></mode>
          <mode modeLabel="List tasks" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-tasks"></mode>
          <mode modeLabel="List taxes" modeId="http://www.mulesoft.org/schema/mule/freshbooks/list-taxes"></mode>
          <mode modeLabel="Undelete client" modeId="http://www.mulesoft.org/schema/mule/freshbooks/undelete-client"></mode>
          <mode modeLabel="Undelete invoice" modeId="http://www.mulesoft.org/schema/mule/freshbooks/undelete-invoice"></mode>
          <mode modeLabel="Update category" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-category"></mode>
          <mode modeLabel="Update client" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-client"></mode>
          <mode modeLabel="Update invoice" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-invoice"></mode>
          <mode modeLabel="Update item" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-item"></mode>
          <mode modeLabel="Update payment" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-payment"></mode>
          <mode modeLabel="Update task" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-task"></mode>
          <mode modeLabel="Update tax" modeId="http://www.mulesoft.org/schema/mule/freshbooks/update-tax"></mode>
          <mode modeLabel="Verify callback" modeId="http://www.mulesoft.org/schema/mule/freshbooks/verify-callback"></mode>
        </modeSwitch>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.String" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="auth-user" icon="icons/small/freshbooks-connector-24x16.png" caption="Auth User">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="true" description="AccessTokenUrl." caption="Access Token Url" name="accessTokenUrl"></string>
        <string javaType="java.lang.String" required="true" description="AuthorizationUrl." caption="Authorization Url" name="authorizationUrl"></string>
        <string javaType="java.lang.String" required="true" description="CallbackUrl for OAuth service." caption="Callback Url" name="callbackUrl"></string>
        <string javaType="java.lang.String" required="false" description="Optional value for identifying the requestToken. If it is not passed the client will use a UUID." caption="Request Token Id" name="requestTokenId"></string>
        <string javaType="java.lang.String" required="true" description="RequestTokenUrl." caption="Request Token Url" name="requestTokenUrl"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Callback" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-callback" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Callback">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Callback" required="false" caption="Callback Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/callback"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Category" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-category" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Category">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Category" required="false" caption="Category Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/category"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Client" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-client" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Client">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Client" required="false" caption="Client Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/client"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Invoice" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-invoice" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Invoice">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Invoice" required="false" caption="Invoice Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/invoice"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Item" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-item" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Item">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Item" required="false" caption="Item Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/item"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.License" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-license" icon="icons/small/freshbooks-connector-24x16.png" caption="Create License">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.License" required="false" caption="License Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/license"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Payment" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-payment" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Payment">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Payment" required="false" caption="Payment Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/payment"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Session" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-session" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Session">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Session" required="false" caption="Session Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/session"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.System" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-system-user" icon="icons/small/freshbooks-connector-24x16.png" caption="Create System User">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.System" required="false" caption="System User Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/system-user"></childElement>
        <string javaType="java.lang.String" required="false" description="Identifier to be used for storing the accessToken." caption="User Identifier" name="userIdentifier"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Task" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-task" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Task">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Task" required="false" caption="Task Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/task"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Tax" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="create-tax" icon="icons/small/freshbooks-connector-24x16.png" caption="Create Tax">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Tax" required="false" caption="Tax Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/tax"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-callback" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Callback">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Callback" required="false" caption="Callback Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/callback"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-category" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Category">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Category" required="false" caption="Category Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/category"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-client" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Client">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Client" required="false" caption="Client Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/client"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-invoice" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Invoice">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Invoice" required="false" caption="Invoice Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/invoice"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-item" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Item">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Item" required="false" caption="Item Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/item"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-license" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete License">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.License" required="false" caption="License Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/license"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-payment" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Payment">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Payment" required="false" caption="Payment Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/payment"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-task" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Task">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Task" required="false" caption="Task Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/task"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="void" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="delete-tax" icon="icons/small/freshbooks-connector-24x16.png" caption="Delete Tax">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Tax" required="false" caption="Tax Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/tax"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.api.OAuthCredentials" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-access-token" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Access Token">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="API URL." caption="Api Url" name="apiUrl"></string>
        <string defaultValue="#[header:inbound:userId]" javaType="java.lang.String" required="false" description="Id used for identifying the authorized request token. It comes within the callback. By default the query string parameter is userId." caption="Request Token Id" name="requestTokenId"></string>
        <string javaType="java.lang.String" required="false" description="Id used for store the accessToken in the Object Store. If it is not provided by the app the connector uses the username from FreshBooks." caption="User Identifier" name="userIdentifier"></string>
        <string defaultValue="#[header:inbound:oauth_verifier]" javaType="java.lang.String" required="false" description="OAuth verifier. It comes within the callback. The default value is &quot;#[header:inbound:oauth_verifier]&quot;." caption="Verifier" name="verifier"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Category" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-category" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Category">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="true" description="The category id." caption="Category Id" name="categoryId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Client" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-client" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Client">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="true" description="The client id." caption="Client Id" name="clientId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Staff" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-current-user-information" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Current User Information">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.api.OAuthCredentials" required="false" caption="Credentials Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/credentials"></childElement>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Invoice" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-invoice" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Invoice">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="true" description="The invoice id." caption="Invoice Id" name="invoiceId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Item" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-item" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Item">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="true" description="The item id." caption="Item Id" name="itemId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Payment" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-payment" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Payment">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="true" description="The payment id." caption="Payment Id" name="paymentId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Task" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-task" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Task">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <string javaType="java.lang.String" required="true" description="The task id." caption="Task Id" name="taskId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Tax" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="get-tax" icon="icons/small/freshbooks-connector-24x16.png" caption="Get Tax">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <string javaType="java.lang.String" required="true" description="The tax id." caption="Tax Id" name="taxId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Addon&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-addons" icon="icons/small/freshbooks-connector-24x16.png" caption="List Addons">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Callback&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-callbacks" icon="icons/small/freshbooks-connector-24x16.png" caption="List Callbacks">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.CallbackRequest" required="false" caption="Callback Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/callback-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Category&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-categories" icon="icons/small/freshbooks-connector-24x16.png" caption="List Categories">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.CategoryRequest" required="false" caption="Category Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/category-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Client&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-clients" icon="icons/small/freshbooks-connector-24x16.png" caption="List Clients">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.ClientRequest" required="false" caption="Client Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/client-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Invoice&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-invoices" icon="icons/small/freshbooks-connector-24x16.png" caption="List Invoices">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.InvoiceRequest" required="false" caption="Invoice Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/invoice-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Item&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-items" icon="icons/small/freshbooks-connector-24x16.png" caption="List Items">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.ItemRequest" required="false" caption="Item Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/item-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.License&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-licenses" icon="icons/small/freshbooks-connector-24x16.png" caption="List Licenses">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.LicenseRequest" required="false" caption="License Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/license-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Payment&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-payments" icon="icons/small/freshbooks-connector-24x16.png" caption="List Payments">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.PaymentRequest" required="false" caption="Payment Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/payment-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Task&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-tasks" icon="icons/small/freshbooks-connector-24x16.png" caption="List Tasks">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.TaskRequest" required="false" caption="Task Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/task-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.Iterable&lt;org.mule.modules.freshbooks.model.Tax&gt;" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="list-taxes" icon="icons/small/freshbooks-connector-24x16.png" caption="List Taxes">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.TaxRequest" required="false" caption="Tax Request Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/tax-request"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.String" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="undelete-client" icon="icons/small/freshbooks-connector-24x16.png" caption="Undelete Client">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Client" required="false" caption="Client Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/client"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="java.lang.String" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="undelete-invoice" icon="icons/small/freshbooks-connector-24x16.png" caption="Undelete Invoice">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Invoice" required="false" caption="Invoice Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/invoice"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Category" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-category" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Category">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Category" required="false" caption="Category Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/category"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Client" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-client" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Client">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Client" required="false" caption="Client Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/client"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Invoice" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-invoice" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Invoice">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Invoice" required="false" caption="Invoice Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/invoice"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Item" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-item" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Item">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Item" required="false" caption="Item Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/item"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Payment" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-payment" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Payment">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Payment" required="false" caption="Payment Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/payment"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Task" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-task" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Task">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Task" required="false" caption="Task Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/task"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Tax" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="update-tax" icon="icons/small/freshbooks-connector-24x16.png" caption="Update Tax">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Tax" required="false" caption="Tax Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/tax"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <cloud-connector returnType="org.mule.modules.freshbooks.model.Callback" extends="http://www.mulesoft.org/schema/mule/freshbooks/abstractFreshbooksConnectorGeneric" abstract="true" image="icons/large/freshbooks-connector-48x32.png" localId="verify-callback" icon="icons/small/freshbooks-connector-24x16.png" caption="Verify Callback">
    <attribute-category description="General." caption="General">
      <group caption="General" id="general">
        <string javaType="java.lang.String" required="false" description="Source token value." caption="Source Token" name="sourceToken"></string>
        <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Callback" required="false" caption="Callback Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/callback"></childElement>
        <string javaType="java.lang.String" required="false" description="AccessTokenIdentifier." caption="Access Token Id" name="accessTokenId"></string>
      </group>
    </attribute-category>
  </cloud-connector>
  <nested xmlname="address" abstract="false" localId="address" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Address Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Street1" name="street1"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Street2" name="street2"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="City" name="city"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Province" name="province"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Country" name="country"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Postal Code" name="postalCode"></string>
  </nested>
  <nested xmlname="callback" abstract="false" localId="callback" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Callback Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Event" name="event"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Uri" name="uri"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Verifier" name="verifier"></string>
    <integer step="1" min="0" javaType="java.lang.Integer" controlled="complex" required="false" description="" caption="Verified" name="verified"></integer>
  </nested>
  <nested xmlname="callback-request" abstract="false" localId="callback-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Callback Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Callback Id" name="callbackId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Callback" controlled="complex" required="false" caption="Callback Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/callback"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Event" name="event"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Uri" name="uri"></string>
  </nested>
  <nested xmlname="category" abstract="false" localId="category" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Category Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Name" name="name"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Updated" name="updated"></string>
  </nested>
  <nested xmlname="category-request" abstract="false" localId="category-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Category Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Category Id" name="categoryId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Category" controlled="complex" required="false" caption="Category Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/category"></childElement>
  </nested>
  <nested xmlname="client" abstract="false" localId="client" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Client Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Currency Code" name="currencyCode"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Email" name="email"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Username" name="username"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Password" name="password"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Work Phone" name="workPhone"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Home Phone" name="homePhone"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Mobile" name="mobile"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Fax" name="fax"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Notes" name="notes"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Secondary Street1" name="secondaryStreet1"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Secondary Street2" name="secondaryStreet2"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Secondary City" name="secondaryCity"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Secondary State" name="secondaryState"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Secondary Country" name="secondaryCountry"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Secondary Code" name="secondaryCode"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Credit" controlled="complex" required="false" caption="Credit Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/credit"></childElement>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Credits" controlled="complex" required="false" caption="Credits Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/credits"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Updated" name="updated"></string>
  </nested>
  <nested xmlname="client-request" abstract="false" localId="client-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Client Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Client Id" name="clientId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Client" controlled="complex" required="false" caption="Client Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/client"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Email" name="email"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Username" name="username"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Notes" name="notes"></string>
  </nested>
  <nested xmlname="credentials" abstract="false" localId="credentials" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Credentials Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Access Token" name="accessToken"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Access Token Secret" name="accessTokenSecret"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="User Id" name="userId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Request Token Url" name="requestTokenUrl"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Auth Url" name="authUrl"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Access Token Url" name="accessTokenUrl"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Api Url" name="apiUrl"></string>
  </nested>
  <nested xmlname="credit" abstract="false" localId="credit" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Credit Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Currency" name="currency"></string>
    <string javaType="java.lang.Double" controlled="complex" required="false" description="" caption="Value" name="value"></string>
  </nested>
  <nested xmlname="credits" abstract="false" localId="credits" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Credits Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string-list listName="credits" itemName="credit" localName="configurable-credits" javaType="java.util.List&lt;org.mule.modules.freshbooks.model.Credit&gt;" controlled="complex" required="false" description="" caption="Credits"></string-list>
  </nested>
  <nested xmlname="invoice" abstract="false" localId="invoice" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Invoice Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Client Id" name="clientId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Number" name="number"></string>
    <integer step="1" min="0" javaType="java.math.BigDecimal" controlled="complex" required="false" description="" caption="Amount" name="amount"></integer>
    <integer step="1" min="0" javaType="java.math.BigDecimal" controlled="complex" required="false" description="" caption="Amount Outstanding" name="amountOutstanding"></integer>
    <enum allowsCustom="true" javaType="org.mule.modules.freshbooks.model.InvoiceStatusEnum" controlled="complex" required="false" supportsExpressions="true" description="" caption="Status" name="status">
      <option value="AUTOPAID"></option>
      <option value="DECLINED"></option>
      <option value="DISPUTED"></option>
      <option value="DRAFT"></option>
      <option value="FAILED"></option>
      <option value="PAID"></option>
      <option value="PARTIAL"></option>
      <option value="PENDING"></option>
      <option value="RETRY"></option>
      <option value="SENT"></option>
      <option value="VIEWED"></option>
    </enum>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Date" name="date"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Po Number" name="poNumber"></string>
    <integer step="1" min="0" javaType="java.math.BigDecimal" controlled="complex" required="false" description="" caption="Discount" name="discount"></integer>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Notes" name="notes"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Currency Code" name="currencyCode"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Terms" name="terms"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Return Uri" name="returnUri"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Lines" controlled="complex" required="false" caption="Lines Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/lines"></childElement>
    <enum allowsCustom="true" javaType="org.mule.modules.freshbooks.model.FolderTypes" controlled="complex" required="false" supportsExpressions="true" description="" caption="Folder" name="folder">
      <option value="ACTIVE"></option>
      <option value="ARCHIVED"></option>
      <option value="DELETED"></option>
    </enum>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Recurring Id" name="recurringId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Staff Id" name="staffId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Updated" name="updated"></string>
  </nested>
  <nested xmlname="invoice-request" abstract="false" localId="invoice-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Invoice Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Invoice Id" name="invoiceId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Invoice" controlled="complex" required="false" caption="Invoice Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/invoice"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Client Id" name="clientId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Recurring Id" name="recurringId"></string>
    <enum allowsCustom="true" javaType="org.mule.modules.freshbooks.model.InvoiceStatusEnum" controlled="complex" required="false" supportsExpressions="true" description="" caption="Status" name="status">
      <option value="AUTOPAID"></option>
      <option value="DECLINED"></option>
      <option value="DISPUTED"></option>
      <option value="DRAFT"></option>
      <option value="FAILED"></option>
      <option value="PAID"></option>
      <option value="PARTIAL"></option>
      <option value="PENDING"></option>
      <option value="RETRY"></option>
      <option value="SENT"></option>
      <option value="VIEWED"></option>
    </enum>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Number" name="number"></string>
  </nested>
  <nested xmlname="item" abstract="false" localId="item" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Item Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Name" name="name"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Description" name="description"></string>
    <integer step="1" min="0" javaType="java.math.BigDecimal" controlled="complex" required="false" description="" caption="Unit Cost" name="unitCost"></integer>
    <integer step="1" min="0" javaType="java.lang.Integer" controlled="complex" required="false" description="" caption="Quantity" name="quantity"></integer>
    <integer step="1" min="0" javaType="java.lang.Integer" controlled="complex" required="false" description="" caption="Inventory" name="inventory"></integer>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Updated" name="updated"></string>
    <enum allowsCustom="true" javaType="org.mule.modules.freshbooks.model.FolderTypes" controlled="complex" required="false" supportsExpressions="true" description="" caption="Folder" name="folder">
      <option value="ACTIVE"></option>
      <option value="ARCHIVED"></option>
      <option value="DELETED"></option>
    </enum>
  </nested>
  <nested xmlname="item-request" abstract="false" localId="item-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Item Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Item Id" name="itemId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Item" controlled="complex" required="false" caption="Item Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/item"></childElement>
  </nested>
  <nested xmlname="license" abstract="false" localId="license" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="License Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Addon Id" name="addonId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Staff Id" name="staffId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Trial" name="trial"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Status" name="status"></string>
    <integer step="1" min="0" javaType="java.lang.Integer" controlled="complex" required="false" description="" caption="Remaining Trial Days" name="remainingTrialDays"></integer>
  </nested>
  <nested xmlname="license-request" abstract="false" localId="license-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="License Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.License" controlled="complex" required="false" caption="License Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/license"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Staff Id" name="staffId"></string>
  </nested>
  <nested xmlname="lines" abstract="false" localId="lines" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Lines Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string-list listName="lines" itemName="line" localName="configurable-lines" javaType="java.util.List&lt;org.mule.modules.freshbooks.model.Line&gt;" controlled="complex" required="false" description="" caption="Lines"></string-list>
  </nested>
  <nested xmlname="notifications" abstract="false" localId="notifications" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Notifications Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Late Payment Reminder1" name="latePaymentReminder1"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Late Payment Reminder2" name="latePaymentReminder2"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Late Payment Reminder3" name="latePaymentReminder3"></string>
  </nested>
  <nested xmlname="payment" abstract="false" localId="payment" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Payment Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Client Id" name="clientId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Invoice Id" name="invoiceId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Date" name="date"></string>
    <integer step="1" min="0" javaType="java.math.BigDecimal" controlled="complex" required="false" description="" caption="Amount" name="amount"></integer>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Currency Code" name="currencyCode"></string>
    <enum allowsCustom="true" javaType="org.mule.modules.freshbooks.model.PaymentTypes" controlled="complex" required="false" supportsExpressions="true" description="" caption="Type" name="type">
      <option value="ACH"></option>
      <option value="AMEX"></option>
      <option value="BANK_TRANSFER"></option>
      <option value="CASH"></option>
      <option value="CHECK"></option>
      <option value="CHECKOUT"></option>
      <option value="CREDIT"></option>
      <option value="CREDIT_CARD"></option>
      <option value="DEBIT"></option>
      <option value="DINERS"></option>
      <option value="DISCOVER"></option>
      <option value="EUROCARD"></option>
      <option value="JCB"></option>
      <option value="MASTERCARD"></option>
      <option value="NOVA"></option>
      <option value="PAYPAL"></option>
      <option value="VISA"></option>
    </enum>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Notes" name="notes"></string>
    <boolean javaType="java.lang.Boolean" controlled="complex" required="false" supportsExpressions="true" description="" caption="From Credit" name="fromCredit"></boolean>
  </nested>
  <nested xmlname="payment-request" abstract="false" localId="payment-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Payment Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Payment Id" name="paymentId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Payment" controlled="complex" required="false" caption="Payment Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/payment"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Client Id" name="clientId"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Invoice Id" name="invoiceId"></string>
  </nested>
  <nested xmlname="session" abstract="false" localId="session" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Session Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Url" name="url"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Target" name="target"></string>
  </nested>
  <nested xmlname="system-user" abstract="false" localId="system-user" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="System User Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Name" name="name"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Email" name="email"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Username" name="username"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Password" name="password"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="First Name" name="firstName"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Last Name" name="lastName"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Work Phone" name="workPhone"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Profession" name="profession"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Currency Code" name="currencyCode"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Address" controlled="complex" required="false" caption="Address Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/address"></childElement>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Notifications" controlled="complex" required="false" caption="Notifications Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/notifications"></childElement>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Terms" name="terms"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Domain" name="domain"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Access Token" name="accessToken"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Access Token Secret" name="accessTokenSecret"></string>
  </nested>
  <nested xmlname="task" abstract="false" localId="task" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Task Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Name" name="name"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Rate" name="rate"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Billable" name="billable"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Description" name="description"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Updated" name="updated"></string>
  </nested>
  <nested xmlname="task-request" abstract="false" localId="task-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Task Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Task Id" name="taskId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Task" controlled="complex" required="false" caption="Task Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/task"></childElement>
  </nested>
  <nested xmlname="tax" abstract="false" localId="tax" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Tax Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Id" name="id"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Name" name="name"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Rate" name="rate"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Number" name="number"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Compound" name="compound"></string>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Updated" name="updated"></string>
  </nested>
  <nested xmlname="tax-request" abstract="false" localId="tax-request" description="" caption="">
    <radioBoolean fillLine="true" description="Provide a reference to a bean or use an expression" caption="Reference or expression" name="useReference"></radioBoolean>
    <string controlled="useReference" description="" caption="Tax Request Reference" name="ref"></string>
    <radioBoolean fillLine="true" description="Define this element's attributes" caption="Define attributes" name="complex"></radioBoolean>
    <string javaType="java.lang.String" controlled="complex" required="false" description="" caption="Tax Id" name="taxId"></string>
    <childElement allowMultiple="false" inplace="true" javaType="org.mule.modules.freshbooks.model.Tax" controlled="complex" required="false" caption="Tax Reference" name="http://www.mulesoft.org/schema/mule/freshbooks/tax"></childElement>
  </nested>
</namespace>